EDIT - bug #6733

feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration
feature request # 6596 (Closed): Migrate specimen editor

NPE when trying to open Derivative Editor

06/16/2017 09:36 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Miller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.8

Severity: blocker Found in Version:

Description

login : admin

editor version 4.8.0.201706072259

server test.e-taxonomy.eu (edit-test)

schema version 4.7.0.0.201710040000

os Windows Server 2012 R2 6.3 amd64

java 1.8.0_121

org.eclipse.ed.core.di.InjectionException:

at org.eclipse.ed.core.internal.
)

at org.eclipse.ed.core.internal.
:282)

at org.eclipse.ed.core.internal.

at org.eclipse.ed.core.contexts.
tory.java:132)

at org.eclipse.ed.core.commands.
at org.eclipse.
at org.
eclipse.

at org.eclipse.
lerService. java:353)

Java.

ed.core.commands.

/ rem_conf_am

lang.NullPointerException

di.MethodRequestor.execute (MethodRequestor. java:65

di.InjectorImpl.invokeUsingClass (InjectorImpl.java

di.InjectorImpl.invoke (InjectorImpl. java:264)

ContextInjectionFactory.invoke (ContextInjectionFac

internal.HandlerServiceHandler.execute (HandlerServ

core.commands.Command.executeWithChecks (Command. java:494)

core.commands.ParameterizedCommand.executeWithChecks (ParameterizedC

internal.HandlerServiceImpl.executeHandler (Handler

ui.internal.handlers.LegacyHandlerService.executeCommand (LegacyHand

at eu.etaxonomy.taxeditor.view.CdmViewerContextMenu$CommandInvoker.widgetSelected (

CdmViewerContextMenu. java:114)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
swt.widgets.Widget.sendEvent (Widget. java:1079)
swt.widgets.Display.runDeferredEvents (Display.java:4236)
swt.widgets.Display.readAndDispatch (Display. java:3824)

ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin

core.databinding.observable.Realm.runWithDefault (Realm. java:336)

ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE

ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav

ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

at org.eclipse.

ipseAppLauncher. java:134)

at org.eclipse.

uncher. java:104)
core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppla

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:243)

NativeMethodAccessorImpl.invokeO (Native Method)

NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja

java.lang.reflect.Method. invoke (Method. java:498)

org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

org.eclipse.equinox.launcher.Main.run(Main.java:1519)

Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.editor.view.derivate.handler.OpenDerivativeEditorForTaxo
nNode.open (OpenDerivativeEditorForTaxonNode. java:48)

at eu.etaxonomy.taxeditor.editor.view.derivate.handler.OpenDerivativeEditorForTaxo

nNode.open (OpenDerivativeEditorForTaxonNode. java:1l)

at eu.etaxonomy.taxeditor.handler.defaultHandler.DefaultOpenHandlerBase.execute (De

faultOpenHandlerBase. java:30)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy.java:295)
at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute (E4HandlerProxy. java:90)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55

36 more

Associated revisions

Revision bb1d1762 - 06/16/2017 09:36 AM - Patrick Plitzner
ref #6733 Make model fragment IDs unique

Revision 9e1d7d77 - 06/16/2017 09:40 AM - Patrick Plitzner
ref #6733 Set apply time of model fragment to "always"

Revision 10f50c3f - 06/16/2017 11:37 AM - Patrick Plitzner
ref #6733 Add model fragment to bin.includes

History

#1 - 06/16/2017 09:50 AM - Patrick Plitzner

- Related to feature request #6596: Migrate specimen editor added

#2 - 06/16/2017 11:57 AM - Patrick Plitzner

To correctly test this you have to delete {home}/.cdmLibrary/.metadata/.plugins/org.eclipse.e4.workbench/workbench.xmi before testing. This file
stores and caches the application model.

#3 - 06/16/2017 12:16 PM - Patrick Plitzner
- Status changed from New to Resolved
- Assignee changed from Patrick Plitzner to Andreas Miiller

- % Done changed from 0 to 80

#4 - 06/23/2017 11:19 AM - Andreas Miiller
- Related to deleted (feature request #6596: Migrate specimen editor)

#5 - 06/23/2017 11:19 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Parent task set to #6596

#6 - 06/23/2017 11:19 AM - Andreas Miiller
- % Done changed from 80 to 100
